gstreamermm 1.4.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Related Functions | List of all members
Gst::CapsFeatures Class Reference

## Public Member Functions
| CapsFeatures (GstCapsFeatures* gobject, bool make_a_copy=true)
| CapsFeatures (const CapsFeatures& other)
CapsFeatures& | operator= (const CapsFeatures& other)
| ~CapsFeatures ()
void | swap (CapsFeatures& other)
GstCapsFeatures* | gobj ()
| Provides access to the underlying C instance. More...
const GstCapsFeatures* | gobj () const
| Provides access to the underlying C instance. More...
GstCapsFeatures* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs. More...
| CapsFeatures ()
| Creates a new, empty Gst::CapsFeatures. More...
| CapsFeatures (const Glib::ustring& feature1)
| Creates a new Gst::CapsFeatures with the given first feature. More...
Glib::ustring | to_string () const
| Converts features to a human-readable string representation. More...
bool | set_parent_refcount (gint* refcount)
| Sets the parent_refcount field of Gst::CapsFeatures. More...
bool | is_equal (const Gst::CapsFeatures& features2) const
| Check if features1 and features2 are equal. More...
bool | is_any () const
| Check if features is Gst::CAPS_FEATURES_ANY. More...
bool | contains (const Glib::ustring& feature) const
| Check if features contains feature. More...
bool | contains (GQuark feature) const
| Check if features contains feature. More...
guint | get_size () const
| Returns the number of features in features. More...
Glib::ustring | get_nth (guint i) const
| Returns the i-th feature of features. More...
GQuark | get_nth_id (guint i) const
| Returns the i-th feature of features. More...
void | add (const Glib::ustring& feature)
| Adds feature to features. More...
void | add (GQuark feature)
| Adds feature to features. More...
void | remove (const Glib::ustring& feature)
| Removes feature from features. More...
void | remove (GQuark feature)
| Removes feature from features. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static CapsFeatures | create_any ()
| Creates a new, ANY Gst::CapsFeatures. More...
static CapsFeatures | create_from_string (const Glib::ustring& features)

## Protected Attributes
GstCapsFeatures* | gobject_

## Related Functions
(Note that these are not member functions.)
void | swap (CapsFeatures& lhs, CapsFeatures& rhs)
Gst::CapsFeatures | wrap (GstCapsFeatures* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Constructor & Destructor Documentation

Gst::CapsFeatures::CapsFeatures | ( | GstCapsFeatures * | gobject,
|  | bool | make_a_copy = `true`
| ) |  |
| explicit

Gst::CapsFeatures::CapsFeatures | ( | const CapsFeatures& | other | ) |

Gst::CapsFeatures::~CapsFeatures | ( |  | ) |

Gst::CapsFeatures::CapsFeatures | ( |  | ) |

Creates a new, empty Gst::CapsFeatures.

Gst::CapsFeatures::CapsFeatures | ( | const Glib::ustring & | feature1 | ) |
| explicit

Creates a new Gst::CapsFeatures with the given first feature.

Parameters

  feature1 | name of first feature to set.

## Member Function Documentation

void Gst::CapsFeatures::add | ( | const Glib::ustring & | feature | ) |

Adds feature to features.

Parameters

  feature | A feature.

void Gst::CapsFeatures::add | ( | GQuark | feature | ) |

Adds feature to features.

Parameters

  feature | A feature.

bool Gst::CapsFeatures::contains | ( | const Glib::ustring & | feature | ) | const

Check if features contains feature.

Parameters

  feature | A feature.

Returns
  `true` if features contains feature.

bool Gst::CapsFeatures::contains | ( | GQuark | feature | ) | const

Check if features contains feature.

Parameters

  feature | A feature.

Returns
  `true` if features contains feature.

static CapsFeatures Gst::CapsFeatures::create_any | ( |  | ) |
| static

Creates a new, ANY Gst::CapsFeatures.

This will be equal to any other Gst::CapsFeatures but caps with these are unfixed.

static CapsFeatures Gst::CapsFeatures::create_from_string | ( | const Glib::ustring & | features | ) |
| static

Glib::ustring Gst::CapsFeatures::get_nth | ( | guint | i | ) | const

Returns the i-th feature of features.

Parameters

  i | Index of the feature.

Returns
  The i-th feature of features.

GQuark Gst::CapsFeatures::get_nth_id | ( | guint | i | ) | const

Returns the i-th feature of features.

Parameters

  i | Index of the feature.

Returns
  The i-th feature of features.

guint Gst::CapsFeatures::get_size | ( |  | ) | const

Returns the number of features in features.

Returns
  The number of features in features.

static GType Gst::CapsFeatures::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GstCapsFeatures* Gst::CapsFeatures::gobj | ( |  | ) |
| inline

Provides access to the underlying C instance.

const GstCapsFeatures* Gst::CapsFeatures::gobj | ( |  | ) | const
| inline

Provides access to the underlying C instance.

GstCapsFeatures* Gst::CapsFeatures::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

bool Gst::CapsFeatures::is_any | ( |  | ) | const

Check if features is Gst::CAPS_FEATURES_ANY.

Returns
  `true` if features is Gst::CAPS_FEATURES_ANY.

bool Gst::CapsFeatures::is_equal | ( | const Gst::CapsFeatures& | features2 | ) | const

Check if features1 and features2 are equal.

Parameters

  features2 | A Gst::CapsFeatures.

Returns
  `true` if features1 and features2 are equal.

CapsFeatures& Gst::CapsFeatures::operator= | ( | const CapsFeatures& | other | ) |

void Gst::CapsFeatures::remove | ( | const Glib::ustring & | feature | ) |

Removes feature from features.

Parameters

  feature | A feature.

void Gst::CapsFeatures::remove | ( | GQuark | feature | ) |

Removes feature from features.

Parameters

  feature | A feature.

bool Gst::CapsFeatures::set_parent_refcount | ( | gint * | refcount | ) |

Sets the parent_refcount field of Gst::CapsFeatures.

This field is used to determine whether a caps features is mutable or not. This function should only be called by code implementing parent objects of Gst::CapsFeatures, as described in the MT Refcounting section of the design documents.

Parameters

  refcount | A pointer to the parent's refcount.

Returns
  `true` if the parent refcount could be set.

void Gst::CapsFeatures::swap | ( | CapsFeatures& | other | ) |

Glib::ustring Gst::CapsFeatures::to_string | ( |  | ) | const

Converts features to a human-readable string representation.

For debugging purposes its easier to do something like this:

[C example ellipted] This prints the features in human readble form.

Free-function: g_free

Returns
  A pointer to string allocated by Glib::malloc(). Glib::free() after usage.

## Friends And Related Function Documentation

void swap | ( | CapsFeatures& | lhs,
|  | CapsFeatures& | rhs
| ) |  |
| related

Parameters

  lhs | The left-hand side
  rhs | The right-hand side

Gst::CapsFeatures wrap | ( | GstCapsFeatures * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

## Member Data Documentation

GstCapsFeatures* Gst::CapsFeatures::gobject_
| protected

The documentation for this class was generated from the following file:

- gstreamermm/capsfeatures.h